# LIRCRCD

Section: System Manager Manual (8)
Updated: Last change: Sep 2015
Index Return to Main Contents

## NAME

lircrcd - Synchronize lircrc state among client applications.

## SYNOPSIS

lircrcd [options] config-file

## DESCRIPTION

lircrcd reads the given .lircrc config file and synchronises the mode that the LIRC clients such as irxevent(1), etc., are in. Using lircrcd has to be explicitly enabled in the lircrc config file by adding the following line at the beginning of the file:

  lircrc_class default This must be done at the top-level file, not an included one. The lircrc_class string (here "default") could actually be anything; clients using the same string in their lircrc will be synchronized.

## OPTIONS

-h --help
  Display help message.
-v --version
  Display version.
-p, --permission=mode
  The --permission option gives the file permission of the Unix domain socket lircrcd creates on startup in octal representation. Read the documentation for chmod for further details. If no --permission option is given when the socket is created the default is to give only the user owning the file read and write permissions (0600 in octal representation).
-o, --output=socket
  With the --output option you can select the Unix domain socket, which lircrcd will create. The default is to create a socket in VARRUNDIR (/opt/local/var/run/lirc), see FILES.

## SOCKET PROTOCOL

lircrcd syntactically uses the same protocol as lircd described in the lircd(8) manpage. It supports the following commands:

IDENT ident
  Each program connecting to lircrcd identifies itself using this program. ident is the string that is used in the Prog = token inside the .lircrc file.

CODE code
  When the client receives the code string from lircd it will send it to lircrcd and will receive back the applicable config string from the .lircrc config file. It should resend the CODE command until nothing is returned back which means that nothing (more) should happen in response to code. This command is used each time the lirc_code2char() function is called by a client.

GETMODE
  lircrcd will return the current mode string.

SETMODE mode
  lircrcd will set the actual mode, reflecting a mode in the .lircrc file.

## FILES

lircrcd creates its socket(s) in the VARRUNDIR directory (/opt/local/var/run/lirc). The socket basename includes the user UID and the string from the lircrc_class option.

## SEE ALSO

The documentation for lirc is maintained as html pages. They are located under html/ in the documentation directory.

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
SOCKET PROTOCOL
FILES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 09:39:34 GMT, February 01, 2021